import React from 'react'
import MachineInstance from './machineInstance/machineInstance'
import { useMachineStore } from '../../../../store/simulation/useMachineStore';

function MachineInstances() {
    const { machines } = useMachineStore();
    return (
        <>
            {machines.map((val: MachineStatus) => (
                <MachineInstance key={val.modelUuid} machineDetail={val} />
            ))}

        </>
    )
}

export default MachineInstances